Nəzəri əsaslar və memarlıq

Əvvəlki dərslərdəki baza FRR bir xəttin nasazlığını örtür, lakin real şəbəkədə suallar daha çoxdur: facility backup ilə one-to-one detour etiket səviyyəsində nə ilə fərqlənir, merge point nə edir, xətt əvəzinə qovşağın qorunması nə vaxt lazımdır və bir axını çox qəbuledicilərə çatdırmaq üçün P2MP ağacları necə siqnallaşdırılır. Ayrıca məsələ sahələr və avtonom sistemlər arasında TE-dir: hər sahənin TED-i təcrid olunub, baş qovşaq yolu tam hesablaya bilmir, ona görə ERO loose hop-lar ehtiva edir, hər hissədə yolu isə ABR və ya ASBR hesablayır. Dərs RFC 4090 üzrə FRR-i (bayraqlar, RRO, yan keçid zamanı etiketlər), RFC 4875 üzrə P2MP RSVP-TE-ni, sahələrarası və domenlərarası TE-ni (RFC 5151, PCE-nin rolu), həmçinin make-before-break sxemi ilə re-optimization və ümumi risklər üçün SRLG-ni izah edir. Dərs bu moduldakı RSVP-TE əsaslarını, CSPF-i və baza FRR-i (bypass tunel, PLR, MP) artıq bildiyinizi nəzərdə tutur.

Baza FRR nəyi örtür və nəyi örtmür

Baza FRR dərsi xəttin ətrafında bypass tunelini və PLR/MP rollarını göstərdi. Burada RFC 4090-ın təfərrüatlarını izah edirik; onlarsız qovşaq qorunması, ECMP variantları və domenlərarası hallar anlaşılmazdır. Baş qovşaq qorunmanı iki yolla tələb edir. SESSION_ATTRIBUTE obyektində bayraqlar: 0x01 local protection desired, 0x02 label recording desired, 0x04 SE style desired, 0x08 bandwidth protection desired, 0x10 node protection desired. FAST_REROUTE obyektində (RFC 4090) rejim: 0x01 one-to-one backup desired, 0x02 facility backup desired, üstəlik ehtiyat yol üçün setup/hold prioritetləri, hop limit və istəyə görə zolaq. Hər hop RRO-ya ünvan və (label recording ilə) etiket ehtiva edən alt-obyekt və bayraqlar əlavə edir: 0x01 local protection available, 0x02 local protection in use, 0x04 bandwidth protection, 0x08 node protection. Bu bayraqlar istənilən hopda LSP-nin qorunub-qorunmadığını və necə qorunduğunu göstərir.

Facility backup: etiketlər praktikada

Facility-bypass qorunan resurs (xətt və ya qovşaq) başına bir tunel olub, ondan keçən bütün LSP-lər üçündür. PLR = P1, qorunan xətt P1-PE2, MP = PE2 olsun, bypass isə bypass etiketi B ilə P1-P2-PE2 yolu ilə getsin. PLR əsas LSP-ni giriş etiketi ilə qəbul edib və onu PE2-yə L etiketi ilə göndərməlidir (L etiketini PE2 verib). Nasazlıqda PLR L-ə swap edir və üstünə B qoyur: paket [B, L] steki ilə çıxır. P1-dən sonrakı yan yol qovşağı B-ni dəyişir və bypass-ın sondan əvvəlki hopu kimi onu çıxarır (PHP), nəticədə PE2 paketi xətt sağlam olduğu kimi tək L etiketi ilə alır. Qovşaq qorunması (NHOP/NNHOP) üçün MP bir qovşaq o yanda olur və PLR MP-nin qorunan qovşaqdan sonrakı qovşaqdan gözlədiyi L etiketini bilməlidir; onu əsas LSP-nin RRO-sundan götürür, ona görə label recording məcburidir. Bir NNHOP bypass PLR - qorunan qovşaq - MP üçlüyündən keçən bütün LSP-ləri qoruyur və vəziyyət LSP sayı ilə yox, resurs sayı ilə böyüyür: facility-nin əsas arqumenti budur.

One-to-one detour

One-to-one sxemində yol boyu hər PLR qorunan hər LSP üçün ayrıca detour LSP qurur (RFC 4090 bölmə 3). Detour-un hər hopda öz etiketləri var, stek lazım deyil, onun MP-si ya çıxış qovşağı, ya da detour-un əsas LSP-yə və ya başqa detour-a qoşulduğu merge point-dir. Birləşmə ümumi RSVP sessiyasında (detour obyektləri ilə shared explicit stili) aparılır ki, eyni vəziyyət zolaq rezervasiyasında iki dəfə hesablanmasın. Üstünlüklər: etiket steki yoxdur (dərinlik məhdudiyyəti olan platformalar üçün sadədir), hər LSP-nin qorunması, zolaq daxil, ayrıca tənzimlənir. Çatışmazlıqlar: vəziyyət LSP sayı və yolun uzunluğu ilə mütənasib artır; minlərlə LSP olduqda hər PLR-də minlərlə detour deməkdir, ona görə böyük şəbəkələrdə facility üstünlük təşkil edir. Praktikada Juniper susmaya görə detour qurur (fast-reroute), RSVP interfeysində link-protection isə facility-bypass verir; Cisco IOS-XE facility-ni həyata keçirir.

Link və ya node protection, merge point davranışı

Link protection (NHOP) yalnız xətti yan keçir: MP qonşu qovşaqdır və qonşunun özünün nasazlığı örtülmür. Node protection (NNHOP) həm qovşağı, həm xətti yan keçir: bypass bir qovşaq o yanda bitir. NNHOP ümumi risksiz belə yolun mövcud olduğu topologiya və RRO-dan etiketlər tələb edir. NNHOP-bypass yoxdursa, əksər platformalar NHOP-a qayıdır; ona görə qorunmanı qoşandan sonra hər PLR-də FRR bazasında qorunma növünü yoxlayın. MP-də davranış: o, paketi əsas LSP etiketi ilə qəbul edir və əvvəlcə heç nəyi dəyişmir, bypass interfeysindən Path (başqa PHOP) alanda vəziyyəti yeniləyir və Resv ilə bypass boyunca cavab verir. Nasazlıqdan sonra baş qovşaq Notify kodlu PathErr alır (xəta kodu 25, dəyər 3 - tunnel locally repaired) və LSP-nin əvəzlənməsinə başlayır.

P2MP RSVP-TE (RFC 4875)

P2MP LSP bir kökdən (ingress) yarpaqlara (egress) gedən ağacdır. Hər kök-yarpaq cütü S2L sub-LSP adlanır. Əsas ideya: ağac bir sessiyada sub-LSP-lər çoxluğu kimi siqnallaşdırılır, Path-də hər yarpaq üçün S2L_SUB_LSP obyekti olur; branch qovşaqları paketləri bir neçə çıxış interfeysinə replikasiya edir, ona görə ümumi hissədə hər qəbuledici üçün surət yox, axının bir surəti olur. Yarpağın əlavə edilməsi və silinməsi digərlərini kəsmir: sub-LSP ayrıca Path ilə əlavə olunur. Hər sub-LSP-yə explicit yol verilə və ya CSPF ilə hesablana bilər; sub-LSP-lərin ümumi hissələri resursları bölüşür. İstifadə: mVPN üçün nəqliyyat (P2MP RSVP-TE profilləri), IPTV və zəmanətli zolaq və paylama üçün FRR vacib olan operator şəbəkəsində digər paylama. FRR qorunması burada da işləyir, lakin sub-LSP-lər üçün bypass budağın hər çıxış xətti üçün qurulur. Məhdudiyyətlər: xətt kartlarında replikasiya tutumu, sub-LSP sayı və ingress-də vəziyyət ölçüsü yarpaqların sayı ilə böyüyür; yüzlərlə yarpağı olan şəbəkə tez-tez mLDP və ya Segment Routing-ə keçir. Konfiqurasiya və platforma: Juniper-də sub-LSP label-switched-path altında p2mp <ad> ilə, Cisco-da destination list və tunelin point-to-multipoint rejimi ilə verilir.